%define name ksetiwatch
%define version 2.2.0
%define release 3mdk


Summary:   A monitoring tool for the SETI@home project
Name:      %name
Version:   %version
Release:   %release
License:   GPL
Url:       http://ksetiwatch.sourceforge.net
Group:     Monitoring
Source:    %name-%version.tar.bz2
Source1:   %{name}-32.xpm.bz2
Source2:   %{name}-16.xpm.bz2
BuildRoot: %_tmppath/%name-buildroot

BuildRequires: gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires: XFree86-static-libs automake autoconf diffutils file libtool m4 texinfo libqt2-devel
BuildRequires: gettext kdelibs-devel gcc-c++ kdelibs libbinutils2 libbzip2_1 db1 freetype2
BuildRequires: libjpeg62 libmng1 libpng2 libqt2 rpm-build


%description
Ksetiwatch monitors multiple SETI@home instances running
on your computer or in your network, and it automatically
logs and manages completed work units. Ksetiwatch provides
the look-and-feel of the popular SETIWatch program for 
Windows 95/98/2000.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%configure --disable-rpath \
           --disable-debug \
	   --enable-final

%build

%make

%install

%makeinstall

# icon
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm


(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/ksetiwatch"\
title="Ksetiwatch"\
longtitle="Monitors seti@home crunching"\
needs="x11"\
icon="ksetiwatch.xpm"\
section="Applications/Monitoring"
EOF
)


%{find_lang} %{name}
 
%post
%{update_menus}
  
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS INSTALL COPYING ChangeLog README TODO

%dir %_datadir/doc/HTML/en/ksetiwatch/
%docdir %_datadir/doc/HTML/en/ksetiwatch/
%doc %_datadir/doc/HTML/en/ksetiwatch/*.html
%doc %_datadir/doc/HTML/en/ksetiwatch/*.png 

%_bindir/*
%_datadir/applnk/Applications/%{name}.desktop

%dir %_datadir/apps/ksetiwatch/
%dir %_datadir/apps/ksetiwatch/pics/
%_datadir/apps/ksetiwatch/pics/*.png

%_datadir/icons/*.xpm
%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/32x32/apps/*
%_datadir/icons/mini/*.xpm
%_menudir/*

%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.0-3mdk
- Move KDE menu entry in %%_datadir/applnk
- Fix BuildRequires for non %%ix86 architectures
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.0-2mdk
- Clean spec and add build requires

* Sun Mar 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- updated by Blaise Tramier <meles@linux-mandrake.com> :
	- updated to 2.2.0
	- added menu icons
- now we can use %configure macro
- %find_lang macro

* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-1mdk
- updated to 2.1.0

* Wed Nov 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- new in contribs
